Show
Ignore:
Timestamp:
27.08.2014 15:42:11 (5 years ago)
Author:
ak19
Message:

Some recently added Nix-specific lines are now in an if block for non-windows systems.

Files:
1 modified

Legend:

Unmodified
Added
Removed
  • main/trunk/release-kits/kits/rk3/ant-scripts/compile.xml

    r29236 r29242  
    136136        <!-- insert an xml parser (matched to the version of Perl being used by the release kit).  
    137137             For Linux 64 bit, use the 64 bit versions.  
    138              For other cases, including Macs, we stick to the 32 bit  
     138             For other *nix cases, including Macs, we stick to the 32 bit  
    139139             versions since there have been no problems yet, probably 
    140140             because our Mac has 5.12 which is not included in  
    141141             XML-Parser so that our mac then tries to find the xml  
    142142             parser on the system.--> 
    143         <copy todir="compiled/gs2build/perllib/cpan"> 
    144             <fileset dir="${rk.home}/shared/linux/XML-Parser" includes="${bitness}-bit/**/*"/> 
    145         </copy> 
    146         <move file="compiled/gs2build/perllib/cpan/${bitness}-bit" tofile="compiled/gs2build/perllib/cpan/XML-Parser"/> 
    147  
     143        <if><bool><not><equals arg1="${rk.os}" arg2="windows"/></not></bool>      
     144            <copy todir="compiled/gs2build/perllib/cpan"> 
     145                <fileset dir="${rk.home}/shared/linux/XML-Parser" includes="${bitness}-bit/**/*"/> 
     146            </copy> 
     147            <move file="compiled/gs2build/perllib/cpan/${bitness}-bit" tofile="compiled/gs2build/perllib/cpan/XML-Parser"/> 
     148        </if> 
     149             
    148150        <!-- insert ant --> 
    149151        <property name="insert.ant.version" value="1.8.2"/>